Subject: bug#67003: closed (Re: [External] : Re: bug#67003: 26.3; (elisp) Basic Char Syntax: Show octal and Unicode names as well, for chars)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 09 Nov 2023 16:32:02 +0000

Your bug report

#67003: 26.3; (elisp) Basic Char Syntax: Show octal and Unicode names as well, for chars

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67003: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67003
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [External] : Re: bug#67003: 26.3; (elisp) Basic Char Syntax: Show octal and Unicode names as well, for chars
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Thu, 09 Nov 2023 18:30:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Thu, 9 Nov 2023 15:54:59 +0000
> 
> > > 2. But show also the octal digits.
> 
> > Show where and how?  And why?
> 
> Where we show the ?\ char representation, its
> decimal equivalent (⇒), char name/description (in
> a comment), and key description (in the comment).
> 
> IOW, where we specify these chars that have their
> own, dedicated escape sequences.
> 
> Why?  Because in `General Escape Syntax' we say
> that you can use octal char codes.  Why not show
> the octal values for these chars here?

They are shown in the very next subsection.

> Why not show the hex values also, as that's what
> `insert-char' accepts?

Ditto.

> `Basic Char Syntax' could also usefully say
> something about where you can use escape
> sequences - and that's _not_ to interactively
> insert such a char.

That's a separate issue, but the next section says something about
that as well.

> > > 3. Show also other names, such as Unicode/ISO names.
> > >    E.g., say that "vertical tab" is the char that has the ISO name
> > >    <Line Tabulation> (VT).  (And still mention that it's C-k.)
> > 
> > The next subsection, "General Escape Syntax",
> > includes this information.
> 
> Not for these specific chars that have dedicated
> escape syntaxes, it doesn't.  They're specified
> only in `Basic Char Syntax'.

I don't see the significance.  We obviously cannot show all the
characters, and it isn't like VT is an important one.  It is just an
example.

> > > IOW, give a little more info, esp. commonly
> > > encountered or "official" names for such chars.
> > 
> > I think we already do, but you need to consider the entire section,
> > not just its single subsection, which correctly starts with the
> > basics, before we proceed with more advanced stuff.
> 
> I don't see that it would be bad to let users know,
> here, that what we call "vertical tab" here is also
> called "line tabulation".  Try inserting that char
> using `insert-char' without knowing its Unicode/ISO
> name or its hex value - good luck.

Lumping too much material in a single subsection is bad from the
methodological POV: it makes the subsection more confusing and harder
to read.

So I don't think we need to do anything with this issue, and I'm
therefore closing it.

Subject: 26.3; (elisp) Basic Char Syntax: Show octal and Unicode names as well, for chars
From: Drew Adams <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 8 Nov 2023 21:17:56 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

In the list of character representations shown, please:

1. State that the digits shown (so far) are decimal.
2. But show also the octal digits.
3. Show also other names, such as Unicode/ISO names.
   E.g., say that "vertical tab" is the char that has the ISO name
   <Line Tabulation> (VT).  (And still mention that it's C-k.)

IOW, give a little more info, esp. commonly encountered or "official" names for such chars.

https://www.compart.com/en/unicode/U+000B

In GNU Emacs 26.3 (build 1, x86_64-w64-mingw32)
 of 2019-08-29
Repository revision: 96dd0196c28bc36779584e47fffcca433c9309cd
Windowing system distributor `Microsoft Corp.', version 10.0.19045
Configured using:
 `configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static -g3''